Page MenuHomePhabricator

(Need By: Jan 15) codfw: rack/setup/install mc-gp200[123].codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the racking, setup, and installation of 3 new memcache servers for codfw.

Shared Info

Hostnames: From mc-gp2001.codfw.wmnet to mc-gp2003.codfw.wmnet
Racking Proposal: If possible one host for each row, and not in racks where we have other mcXXXX hosts and In rack with 10G switch.
Partitioning/Raid: Same as the current mc20XX hosts.

Individual Server Checklists

mc-gp2001: row A rack A4/ xe-4/0/21

  • - receive in system on procurement task T238095
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private1-row-vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet for its row)
  • - operations/puppet update (install_server at minimum, other files if possible):
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

mc-gp2002: row B rack B4/ xe-4/0/6

  • - receive in system on procurement task T238095
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private1-row-vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet for its row)
  • - operations/puppet update (install_server at minimum, other files if possible):
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

mc-gp2003: row D rack D4/ xe-4/0/16

  • - receive in system on procurement task T238095
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private1-row-vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet for its row)
  • - operations/puppet update (install_server at minimum, other files if possible):
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged
  • - handoff for service implementation
  • - service implementer changes from 'staged' status to 'active' status in netbox'

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul triaged this task as Medium priority.Nov 26 2019, 5:14 PM

@Papaul we might want to have a different naming convention for these hosts, please wait until I have a consensus before adding dns entries :)

wiki_willy renamed this task from codfw: rack/setup/install mc203[7,8,9].codfw.wmnet to (No Need By Date Provided) codfw: rack/setup/install mc203[7,8,9].codfw.wmnet.Jan 2 2020, 11:43 PM
elukey renamed this task from (No Need By Date Provided) codfw: rack/setup/install mc203[7,8,9].codfw.wmnet to (Need By: Jan 15) codfw: rack/setup/install mc-gp200[123].codfw.wmnet.Jan 3 2020, 7:31 AM
elukey updated the task description. (Show Details)
papaul@asw-a-codfw> show interfaces xe-4/0/21 descriptions 
Interface       Admin Link Description
xe-4/0/21       up    up   mc-gp2001
papaul@asw-b-codfw# run show interfaces xe-4/0/6 descriptions 
Interface       Admin Link Description
xe-4/0/6        up    up   mc-gp2002
papaul@asw-d-codfw# run show interfaces xe-4/0/16 descriptions 
Interface       Admin Link Description
xe-4/0/16       up    up   mc-gp2003

Change 563004 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS:Add mgmt and production DNS for mc-gp200[1-3]

https://gerrit.wikimedia.org/r/563004

@elukey are we installing Buster or Stretch ?

Change 563004 merged by Papaul:
[operations/dns@master] DNS:Add mgmt and production DNS for mc-gp200[1-3]

https://gerrit.wikimedia.org/r/563004

@elukey are we installing Buster or Stretch ?

Buster please! :)

Change 563184 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address entries for mc-gp200[1-3]

https://gerrit.wikimedia.org/r/563184

Change 563184 merged by Elukey:
[operations/puppet@production] DHCP: Add MAC address entries for mc-gp200[1-3]

https://gerrit.wikimedia.org/r/563184

Papaul updated the task description. (Show Details)

@elukey all yours

Change 563381 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Add role to mc-gp200[1-3]

https://gerrit.wikimedia.org/r/563381

Change 563969 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::memcached: move interface::rps settings to dedicated profile

https://gerrit.wikimedia.org/r/563969

Change 563969 merged by Elukey:
[operations/puppet@production] role::memcached: move interface::rps settings to dedicated profile

https://gerrit.wikimedia.org/r/563969

Change 563979 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] role::memcached: move base::mysterious_sysctl into the perf profile

https://gerrit.wikimedia.org/r/563979

Change 563979 merged by Elukey:
[operations/puppet@production] role::memcached: move base::mysterious_sysctl into the perf profile

https://gerrit.wikimedia.org/r/563979

Change 563381 merged by Elukey:
[operations/puppet@production] Add role to mc-gp200[1-3]

https://gerrit.wikimedia.org/r/563381

elukey updated the task description. (Show Details)